View Issue Details

IDProjectCategoryView StatusLast Update
0002431unrealircdpublic2005-07-05 22:30
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformALLOSALLOS VersionALL
Product Version3.2.3 
Target VersionFixed in Version3.2.4 
Summary0002431: resolver problem: not resolving CNAME'd PTR's correctly
DescriptionSomething like:
$ host 66.252.15.40
40.15.252.66.IN-ADDR.ARPA is a nickname for 40.15.252.66.digitalshell.net
40.15.252.66.digitalshell.net domain name pointer iced.out.like.a.truethug.net


so: 40.15.252.66.IN-ADDR.ARPA -CNAME-> 40.15.252.66.digitalshell.net -PTR-> iced.out.like.a.truethug.net

won't work correctly... due to the cname alias bugfix in 3.2.3.

I need to fix that :P.
Additional Informationwww.phpmemx.net/~unrealir/forums/viewtopic.php?t=1697
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0002539 closed unreal doesn't seem to resolve cnames 
has duplicate 0002719 closed Reverse DNS Lookup Error 
related to 0002428 closed BNC IRC from my box TO Unreal 3.2.3 

Activities

jeffy

2005-03-17 22:10

reporter   ~0009617

thanx man for future fix/patch for this probleme

AllanMar

2005-03-28 17:04

reporter   ~0009675

Will a patch be available? or will we have to wait for the next release.
I spent quite some time troubleshooting my DNS servers. lol.

Thanks,

syzop

2005-03-28 17:06

administrator   ~0009676

It might take some time, not months but.. up to 2 weeks...
Our resolver is fun :P

CNAME's in reverse dns are quite an uncommon "feature", to me at least ('not well known' might be a better term).

AllanMar

2005-03-28 17:23

reporter   ~0009677

CNAME rdns is the proper way to delegate rdns for anything smaller than a /24. Lots of providers will do this, but you are right, most have no problem breaking the rfc on this.
This is a problem for quite a few people i know, i think the reason your not hearing about it much. Is just that people belive the problem is on their end, like i originally did.
I realize these things take time, so i'll wait as long as i have to.
Thanks,

AllanMar

2005-04-22 22:03

reporter   ~0009798

Any Progress on this?

syzop

2005-07-03 19:28

administrator   ~0010170

Temporary fix:
this downgrades the resolver back to (almost) Unreal3.2.2, therefore reintroducing an aliasing bug (that has been there for several years).

-
cd Unreal3.2
wget http://www.vulnscan.org/tmp/downgrade.resolver.patch
cat downgrade.resolver.patch|patch -p0
### the above should say 'patching file src/res.c', and no errors ###
make
-
And after the recompile (done by 'make'), restart the ircd (/rehash is not sufficient).

Naturally this is a workaround/temporary fix only.

mixx941

2005-07-05 01:58

reporter   ~0010178

Came across this bug report when searching for this problem today.

Will there be any more of a permanent fix coming in 3.2.4 that might be better than the patch you posted?

Thanks.

-Mark

syzop

2005-07-05 15:44

administrator   ~0010183

Last edited: 2005-07-05 15:44

If anyone could try latest CVS [.358 or later] and see if you get any problems (or not), I would appreciate it.

changelog:
- Attempt to fix bug 0002431: 3.2.3 broke CNAME delegation for reverse dns. I'm sorry it took
  so long, but this stuff just plain sucks...

mixx941

2005-07-05 21:25

reporter   ~0010191

Hi syzop.

I just tried the devel CVS on a test machine....seems to work! :)

Great news

-Mark

jeffy

2005-07-05 21:27

reporter   ~0010192

how and where can dwl CVS build?

mixx941

2005-07-05 21:31

reporter   ~0010193

jeffy: http://unrealircd.com/?page=cvs

Get the "latest devel"

jeffy

2005-07-05 21:37

reporter   ~0010194

thanx man now its possible to update my current folder unreal? for all work without error?

mixx941

2005-07-05 21:42

reporter   ~0010195

Well I'm not sure how stable the devel CVS version is, as I've never used it in an actual production environment (one of the devs would need to comment on that)....

But, if you want to, checkout the CVS, then I guess you could rename your existing Unreal3.2 folder to Unreal3.2.bak, then mv Unreal Unreal3.2, recompile, copy config files back, and restart IRCd.

I'll wait til it makes it's appearance in an official release (I hope 3.2.4) :)

-Mark

jeffy

2005-07-05 21:43

reporter   ~0010196

lollll yes i wait for sure :P

thanx

jeffy

2005-07-05 21:49

reporter   ~0010197

just simple question to professional :P

i find a module or whathever for allow all users/client connected to unreal

to can change hostname with /sethost

no only siteop (all ppl allow)

any member have edited compile or module?

syzop

2005-07-05 22:30

administrator   ~0010198

now marked as fixed in CVS [.358], thanks for testing :).

jeffy: I suggest you to use http://forums.unrealircd.org -- this bugs.* thing is only for reporting bugs or feature suggestions, not for help :p.

Issue History

Date Modified Username Field Change
2005-03-17 21:53 syzop New Issue
2005-03-17 21:54 syzop Relationship added related to 0002428
2005-03-17 21:54 syzop Additional Information Updated
2005-03-17 22:10 jeffy Note Added: 0009617
2005-03-19 14:45 syzop ETA none => < 1 week
2005-03-28 17:04 AllanMar Note Added: 0009675
2005-03-28 17:06 syzop Note Added: 0009676
2005-03-28 17:23 AllanMar Note Added: 0009677
2005-04-01 16:30 syzop ETA < 1 week => < 1 month
2005-04-22 22:03 AllanMar Note Added: 0009798
2005-05-29 09:33 syzop Relationship added has duplicate 0002539
2005-07-03 19:28 syzop Note Added: 0010170
2005-07-05 01:58 mixx941 Note Added: 0010178
2005-07-05 15:44 syzop Note Added: 0010183
2005-07-05 15:44 syzop Note Edited: 0010183
2005-07-05 21:25 mixx941 Note Added: 0010191
2005-07-05 21:27 jeffy Note Added: 0010192
2005-07-05 21:31 mixx941 Note Added: 0010193
2005-07-05 21:37 jeffy Note Added: 0010194
2005-07-05 21:42 mixx941 Note Added: 0010195
2005-07-05 21:43 jeffy Note Added: 0010196
2005-07-05 21:49 jeffy Note Added: 0010197
2005-07-05 22:30 syzop Status assigned => resolved
2005-07-05 22:30 syzop Fixed in Version => 3.2.4
2005-07-05 22:30 syzop Resolution open => fixed
2005-07-05 22:30 syzop Note Added: 0010198
2005-12-16 12:00 syzop Relationship added has duplicate 0002719